d.vect.chart(1)

NAME
d.vect.chart - Displays charts of GRASS vector data in the active frame on the graphics monitor.

SYNOPSIS
d.vect.chart
d.vect.chart help
d.vect.chart map=string [type=string[,string,...]] [layer=integer] [ctype=string] columns=string[,string,...] [sizecol=string] [size=integer] [scale=float] [ocolor=string] [colors=string[,string,...]]

  Parameters:

map=string
    Name of input vector

type=string[,string,...]
    Type Options: point,line,boundary,centroid,area Default: point,line,boundary,centroid

layer=integer
    Layer number Default: 1

ctype=string
    Chart type Options: pie,bar Default: pie

columns=string[,string,...]
    Attribute columns containing data

sizecol=string
    Column used for pie chart size

size=integer
    Size of chart (diameter for pie, total width for bar) Default: 40

scale=float
    Scale for size (to get size in pixels) Default: 1

ocolor=string
    Outline color Default: black

colors=string[,string,...]
    Colors used to fill charts

DESCRIPTION
d.vect.chart displays charts for GRASS vector data in the active frame on the graphics monitor.

NOTES
The charts are positioned as follows:

         vector points: on point position

         vector lines: on line centers

         vector areas: on area centroids
The 'sizecol' parameter is proportionate to the radius.

EXAMPLES
d.vect.chart map=vectmap columns=cens51,cens61,cens71,cens81

SEE ALSO
d.erase, d.vect, d.what.vect, d.rast, GRASS 5.7 tutorial pages

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/01/11 16:19:42 $

Help Index